Public Member Functions | Data Fields

# GameStrings Struct Reference

Container for all the game strings. More...

`#include <game_text.hpp>`

## Public Member Functions
void | Compile ()
| Compile the language.
## Data Fields
uint | version
| The version of the language strings.
LanguageStrings * | cur_language
| The current (compiled) language.
AutoDeleteSmallVector < LanguageStrings *, 4 > | raw_strings
| The raw strings per language, first must be English/the master language!.
AutoDeleteSmallVector < LanguageStrings *, 4 > | compiled_strings
| The compiled strings per language, first must be English/the master language!.
StringList | string_names
| The names of the compiled strings.

## Detailed Description

Container for all the game strings.

Definition at line 34 of file game_text.hpp.

## Member Function Documentation

void GameStrings::Compile | ( |  | ) |

Compile the language.

Definition at line 289 of file game_text.cpp.

References SmallVector< T, S >::Append(), SmallVector< T, S >::Begin(), compiled_strings, SmallVector< T, S >::End(), StringData::FreeTranslation(), LanguageStrings::lines, StringReader::ParseFile(), raw_strings, string_names, StringData::Version(), version, HeaderWriter::WriteHeader(), and LanguageWriter::WriteLang().

Referenced by LoadTranslations().

The documentation for this struct was generated from the following files:

- src/game/game_text.hpp
- src/game/game_text.cpp